package healthroute

import (
	"net/http"
	"sync"

	"github.com/labstack/echo"
)

var (
	instance *controller
	once     sync.Once
)

type controller struct {
}

func controllerInstance() *controller {
	once.Do(func() {
		instance = &controller{}
	})
	return instance
}

func (c *controller) handle(ctx echo.Context) error {
	return ctx.String(http.StatusOK, "OK")
}
